org.vertx.java.core.logging.impl

## Class SLF4JLogDelegate

- java.lang.Object
- - org.vertx.java.core.logging.impl.SLF4JLogDelegate

All Implemented Interfaces:
  LogDelegate

    public class SLF4JLogDelegate
    extends java.lang.Object
    implements LogDelegate

### Method Summary

Methods
`void` `debug(java.lang.Object message)`
`void` `debug(java.lang.Object message, java.lang.Throwable t)`
`void` `error(java.lang.Object message)`
`void` `error(java.lang.Object message, java.lang.Throwable t)`
`void` `fatal(java.lang.Object message)`
`void` `fatal(java.lang.Object message, java.lang.Throwable t)`
`void` `info(java.lang.Object message)`
`void` `info(java.lang.Object message, java.lang.Throwable t)`
`boolean` `isDebugEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isTraceEnabled()`
`void` `trace(java.lang.Object message)`
`void` `trace(java.lang.Object message, java.lang.Throwable t)`
`void` `warn(java.lang.Object message)`
`void` `warn(java.lang.Object message, java.lang.Throwable t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isInfoEnabled

    public boolean isInfoEnabled()

Specified by:
  `isInfoEnabled` in interface `LogDelegate`

#### isDebugEnabled

    public boolean isDebugEnabled()

Specified by:
  `isDebugEnabled` in interface `LogDelegate`

#### isTraceEnabled

    public boolean isTraceEnabled()

Specified by:
  `isTraceEnabled` in interface `LogDelegate`

#### fatal

    public void fatal(java.lang.Object message)

Specified by:
  `fatal` in interface `LogDelegate`

#### fatal

    public void fatal(java.lang.Object message,
             java.lang.Throwable t)

Specified by:
  `fatal` in interface `LogDelegate`

#### error

    public void error(java.lang.Object message)

Specified by:
  `error` in interface `LogDelegate`

#### error

    public void error(java.lang.Object message,
             java.lang.Throwable t)

Specified by:
  `error` in interface `LogDelegate`

#### warn

    public void warn(java.lang.Object message)

Specified by:
  `warn` in interface `LogDelegate`

#### warn

    public void warn(java.lang.Object message,
            java.lang.Throwable t)

Specified by:
  `warn` in interface `LogDelegate`

#### info

    public void info(java.lang.Object message)

Specified by:
  `info` in interface `LogDelegate`

#### info

    public void info(java.lang.Object message,
            java.lang.Throwable t)

Specified by:
  `info` in interface `LogDelegate`

#### debug

    public void debug(java.lang.Object message)

Specified by:
  `debug` in interface `LogDelegate`

#### debug

    public void debug(java.lang.Object message,
             java.lang.Throwable t)

Specified by:
  `debug` in interface `LogDelegate`

#### trace

    public void trace(java.lang.Object message)

Specified by:
  `trace` in interface `LogDelegate`

#### trace

    public void trace(java.lang.Object message,
             java.lang.Throwable t)

Specified by:
  `trace` in interface `LogDelegate`